# Class CIM_EGPRouteCalcDependency
extends CIM_ServiceServiceDependency

This is a specialization of ServiceServiceDependency, and captures the dependency that external gateway protocols (such as BGP) have on interior gateway protocols (such as OSPF).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_EGPRouteCalcDependency

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This is a specialization of ServiceServiceDependency, and captures the dependency that external gateway protocols (such as BGP) have on interior gateway protocols (such as OSPF).
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IGPInjection | uint16 |
Description | string | Sometimes it is necessary to inject EGP information, such as that from BGP, into IGPs. This attribute defines whether this should be done for the two routing protocols that are defined by this association. The values below mean that no, partial, and full EGP information is injected into the IGP, respectively.
ValueMap | string | 1, 2, 3
Values | string | None, Partial, Full

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_EGPRouteCalcDependency | CIM_RouteCalculationService
Dependent | CIM_EGPRouteCalcDependency | CIM_RouteCalculationService

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods